#pragma once

#include <irrlicht.h>
using namespace irr;

class MyCustomSceneNode : public scene::ISceneNode
{
	public:
		MyCustomSceneNode(scene::ISceneNode* parent, scene::ISceneManager* mgr, s32 id);
		~MyCustomSceneNode();

		virtual void OnRegisterSceneNode();
		virtual void render();

		virtual const core::aabbox3d<f32>& getBoundingBox() const { return m_box; }
		virtual u32 getMaterialCount() const { return 1; }
		virtual video::SMaterial& getMaterial(u32 i) { return m_material; }	

	private:
		core::aabbox3d<f32> m_box;
		video::S3DVertex m_vertices[4];
		video::SMaterial m_material;
};

